#!/bin/sh
cd ../../../lib/java
. ./setEnv.sh
export CLASSPATH="$CLASSPATH:../../examples/command-line/mycarenet/"
echo Enter the userName: 
read userName=
echo Enter the password: 
read password=
echo Enter the date (yyyy-MM-dd):
read date=
echo Enter the type: 
read type=
echo Enter the careReceiverSSIN: 
read careReceiverSSIN=
echo Enter the careReceiverMutuality:
read careReceiverMutuality=
echo Enter the careReceiverRegNrWithMut:
read careReceiverRegNrWithMut=
echo Enter the version (V1 or V2):
read version=
if [ -z "userName" ]; then
	userName=null
fi
if [ -z "password" ]; then
	password=null
fi
if [ -z "date" ]; then
	date=null
fi
if [ -z "type" ]; then
	type=null
fi
if [ -z "careReceiverSSIN" ]; then
	careReceiverSSIN=null
fi
if [ -z "careReceiverMutuality" ]; then
	careReceiverMutuality=null
fi
if [ -z "careReceiverRegNrWithMut" ]; then
	careReceiverRegNrWithMut=null
fi
if [ -z "version" ]; then
	version=V1
fi
java -Dconfig=../../conf/connector-client.properties -DconfigValidation=../../conf/validation.properties -Dsession=../../examples/command-line/session.xml -DsystemKeystore=../../examples/command-line/systemKeystoreProperties.xml be.business.connector.mycarenet.MyCareNetIntegrationModuleCommandLine getInsurabilityForPharmacist $userName $password $date $type $careReceiverSSIN $careReceiverMutuality $careReceiverRegNrWithMut $version