package be.business.connector.mycarenet;

import be.business.connector.core.exceptions.IntegrationModuleException;
import be.business.connector.mycarenet.domain.Insurability;

public interface MyCareNetIntegrationModule {
	String getInsurability(String userName, String password, String pharmacyHolder, String pharmacySSIN, String pharmcayNihii, String date, String type, String careReceiverSSIN, String careReceiverMutuality, String careReceiverRegNrWithMut, String packageName, String reference, String userReference) throws IntegrationModuleException;
	
	Insurability getInsurabilityForPharmacist(String userName, String password, String pharmacyHolder, String pharmacySSIN, String pharmcayNihii, String date, String type, String careReceiverSSIN, String careReceiverMutuality, String careReceiverRegNrWithMut, String packageName, String reference, String userReference) throws IntegrationModuleException;

}
