package be.business.connector.recipe.utils;

import java.util.Date;

public class MedFile {
	MedFileTypeEnum medFileType;
	// Formaat datum YYYYMMDD just for MED01 and 02.
	Date dateSuplement;
	// Nationaal codenummer van het product toegekend door APB
	// Deze code bestaat uit 7 cijfers (6 + 1 controlecijfer volgens modulus 10)
	// just for MED01 and 02.
	// 7N
	String CNK;
	// just for MED01.
	CommercialStatusEnum commercialStatus;
	// just for MED01.
	CategorieEnum categorie;
	// 50A
	// just for MED01.
	String frBenaming;
	// 50A
	// just for MED01.
	String nlBenaming;
	// 7N2
	// just for MED01.
	float publiekprijsIncBTW;
	// 7A
	// just for MED01 and 03.
	String atcCode;

	// just for MED02.
	CategorieTerugbetalingEnum terugbetaling;
	// 5N2
	// just for MED02.
	float remGeldActief;
	// 5N2
	// just for MED02.
	float remGeldWIGW;
	// 70A
	// just for MED03.
	String omschrijvingFR;
	// 70A
	// just for MED03.
	String omschrijvingNL;

	public MedFileTypeEnum getMedFileType() {
		return medFileType;
	}

	public void setMedFileType(MedFileTypeEnum medFileType) {
		this.medFileType = medFileType;
	}

	public Date getDateSuplement() {
		return dateSuplement;
	}

	public void setDateSuplement(Date dateSuplement) {
		this.dateSuplement = dateSuplement;
	}

	public String getCNK() {
		return CNK;
	}

	public void setCNK(String CNK) {
		this.CNK = CNK;
	}

	public CommercialStatusEnum getCommercialStatus() {
		return commercialStatus;
	}

	public void setCommercialStatus(CommercialStatusEnum commercialStatus) {
		this.commercialStatus = commercialStatus;
	}

	public CategorieEnum getCategorie() {
		return categorie;
	}

	public void setCategorie(CategorieEnum categorie) {
		this.categorie = categorie;
	}

	public String getFrBenaming() {
		return frBenaming;
	}

	public void setFrBenaming(String frBenaming) {
		this.frBenaming = frBenaming;
	}

	public String getNlBenaming() {
		return nlBenaming;
	}

	public void setNlBenaming(String nlBenaming) {
		this.nlBenaming = nlBenaming;
	}

	public float getPubliekprijsIncBTW() {
		return publiekprijsIncBTW;
	}

	public void setPubliekprijsIncBTW(float publiekprijsIncBTW) {
		this.publiekprijsIncBTW = publiekprijsIncBTW;
	}

	public String getAtcCode() {
		return atcCode;
	}

	public void setAtcCode(String atcCode) {
		this.atcCode = atcCode;
	}

	public CategorieTerugbetalingEnum getTerugbetaling() {
		return terugbetaling;
	}

	public void setTerugbetaling(CategorieTerugbetalingEnum terugbetaling) {
		this.terugbetaling = terugbetaling;
	}

	public float getRemGeldActief() {
		return remGeldActief;
	}

	public void setRemGeldActief(float remGeldActief) {
		this.remGeldActief = remGeldActief;
	}

	public float getRemGeldWIGW() {
		return remGeldWIGW;
	}

	public void setRemGeldWIGW(float remGeldWIGW) {
		this.remGeldWIGW = remGeldWIGW;
	}

	public String getOmschrijvingFR() {
		return omschrijvingFR;
	}

	public void setOmschrijvingFR(String omschrijvingFR) {
		this.omschrijvingFR = omschrijvingFR;
	}

	public String getOmschrijvingNL() {
		return omschrijvingNL;
	}

	public void setOmschrijvingNL(String omschrijvingNL) {
		this.omschrijvingNL = omschrijvingNL;
	}
}
