package be.business.connector.gfddpp.tipsystem.offline.queue;
/**
 * boolean properties are used to keep state of message processing. 
 * When exception is thrown it is beeing used to determine apropriate reaction 
 */
public class OfflineQueueAssitant {

	private boolean removeFromQueue;
	private boolean createStatusMessage;
	private boolean stopOfflineQueue;
	private boolean addBackToQueue;
	private boolean moveToUnencryptable;
	
	public boolean isMoveToUnencryptable() {
		return moveToUnencryptable;
	}

	public void setMoveToUnencryptable(boolean moveToUnencryptable) {
		this.moveToUnencryptable = moveToUnencryptable;
	}

	public boolean isMoveToInvalid() {
		return moveToInvalid;
	}

	public void setMoveToInvalid(boolean moveToInvalid) {
		this.moveToInvalid = moveToInvalid;
	}

	private boolean moveToInvalid;

	public OfflineQueueAssitant() {
		super();
		this.removeFromQueue = false;
		this.createStatusMessage = false;
		this.stopOfflineQueue = false;
		this.addBackToQueue = false;
		this.moveToUnencryptable=false;
		this.moveToInvalid=false;
	}

	public OfflineQueueAssitant(boolean removeFromQueue, boolean createStatusMessage, boolean stopOfflineQueue) {
		super();
		this.removeFromQueue = removeFromQueue;
		this.createStatusMessage = createStatusMessage;
		this.stopOfflineQueue = stopOfflineQueue;
	}

	public boolean isRemoveFromQueue() {
		return removeFromQueue;
	}

	
	public boolean isAddBackToQueue() {
		return addBackToQueue;
	}

	public void setAddBackToQueue(boolean addBackToQueue) {
		this.addBackToQueue = addBackToQueue;
	}

	public void setRemoveFromQueue(boolean removeFromQueue) {
		this.removeFromQueue = removeFromQueue;
	}

	public boolean isCreateStatusMessage() {
		return createStatusMessage;
	}

	public void setCreateStatusMessage(boolean createStatusMessage) {
		this.createStatusMessage = createStatusMessage;
	}

	public boolean isStopOfflineQueue() {
		return stopOfflineQueue;
	}

	public void setStopOfflineQueue(boolean stopOfflineQueue) {
		this.stopOfflineQueue = stopOfflineQueue;
	}
	
	public void removeAndCreateStatusMessage(){
		this.createStatusMessage= true;
		this.removeFromQueue = true;
	}
	
	
}
