package be.business.connector.gfddpp.tipsystem.status.offline.queue;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.NoSuchElementException;

import be.apb.gfddpp.common.utils.SingleMessageBuilder;
import be.apb.standards.smoa.schema.model.v1.StatusMessageType;

public class StatusMessageQueueMock extends StatusMessageQueue {
	
	private SingleMessageBuilder smb = new SingleMessageBuilder();; 
	private static ArrayList< StatusMessageType> queue = new ArrayList<StatusMessageType>();
	
	public StatusMessageQueueMock(){
		super();
	}

	@Override
	public boolean add(StatusMessageType statusMessage) {
		queue.add(statusMessage);		
		return true;		
	}
	
	@Override
	public StatusMessageType remove() {
		return	queue.remove(0);
	}
	
	@Override
	public StatusMessageType poll() {
		if (!isEmpty()) return remove();
		else return null;
	}
	
	@Override
	public boolean isEmpty() {
		return queue.isEmpty();
	}
}
