package be.business.connector.mycarenet.services;

import be.business.connector.core.exceptions.IntegrationModuleException;
import be.fgov.ehealth.insurability.protocol.v1.AliveCheckRequest;
import be.fgov.ehealth.insurability.protocol.v1.AliveCheckResponse;
import be.fgov.ehealth.insurability.protocol.v1.GetInsurabilityForPharmacistRequest;
import be.fgov.ehealth.insurability.protocol.v1.GetInsurabilityForPharmacistResponse;

public interface InsurabilityConsultationService {
	AliveCheckResponse aliveCheck(AliveCheckRequest paramAliveCheckRequest) throws IntegrationModuleException;
	GetInsurabilityForPharmacistResponse getInsurabilityForPharmacist(GetInsurabilityForPharmacistRequest paramGetInsurabilityForPharmacistRequest) throws IntegrationModuleException;
}
