package be.business.connector.recipe;
/**
 * The Enum RecipeCommands.
 */
public enum RecipePatientCommands {

	// @formatter:off
	/** The put reservation. */
	PUT_RESERVATION("PutReservation"),  //Patient
	
	/** The put vision. */
	PUT_VISION("PutVision"), //Patient
	
	/** The get vision. */
	GET_VISION("GetVision"), //Patient
	
	/** The get prescription status. */
	GET_PRESCRIPTION_STATUS("GetPrescriptionStatus"),//Patient
	
	/** The list prescription history. */
	LIST_PRESCRIPTION_HISTORY("ListPrescriptionHistory"),//Pagination //Patient
	
	/** The list prescription history. */
	LIST_OPEN_PRESCRIPTIONS("ListOpenPrescriptions");//Pagination (existing operation) //Patient
	
	// @formatter:on

	/** The command. */
	private String command;

	/**
	 * Instantiates a new recipe commands.
	 *
	 * @param command
	 *            the command
	 */
	RecipePatientCommands(final String command) {
		this.command = command;
	}
}